GET /agents/templates/{template_id}
Return one built-in agent template by slug.
curl "https://api.ellipsis.dev/v1/agents/templates/{template_id}" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"description": "string",
"name": "string",
"slug": "string",
"summary": "string",
"tags": [
"string"
],
"use_case": "string",
"yaml": "string"
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.agents.templates.get("...")
print(result){
"description": "string",
"name": "string",
"slug": "string",
"summary": "string",
"tags": [
"string"
],
"use_case": "string",
"yaml": "string"
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.agents.templates.get('...');
console.log(result);{
"description": "string",
"name": "string",
"slug": "string",
"summary": "string",
"tags": [
"string"
],
"use_case": "string",
"yaml": "string"
}No request body.
{
"properties": {
"description": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"summary": {
"type": "string"
},
"tags": {
"items": {
"type": "string"
},
"type": "array"
},
"use_case": {
"type": "string"
},
"yaml": {
"type": "string"
}
},
"required": [
"slug",
"name",
"description",
"tags",
"summary",
"use_case",
"yaml"
],
"type": "object"
}Request
template_idstringrequired